Name:           games-menus
Version:        0.3.2
Release:        8%{?dist}
Summary:        Catagorized submenus for the GNOME/KDE Games menu
Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://www.redhat.com/archives/fedora-games-list/2007-March/msg00003.html
# No URL as we are upstream
Source0:        %{name}-%{version}.tar.gz
Patch0:         games-menus-0.3.2-it-spellfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       redhat-menus hicolor-icon-theme
Provides:       dribble-menus = 1.2
Obsoletes:      dribble-menus <= 1.2

%description
Catagorized submenus for the GNOME/KDE Games menu, for better usuability of the
games menu with lots of games installed


%prep
%setup -q
%patch0 -p1


%build
# nothing to build data only


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
install -p -m 644 games-categories.menu \
  $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/applications-merged
cp -a desktop-directories $RPM_BUILD_ROOT%{_datadir}
cp -a icons/* $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc copyright-info.txt COPYING* README
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/games-categories.menu
%{_datadir}/desktop-directories/*.directory
%{_datadir}/icons/hicolor/*/apps/package_games_*.png


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 23 2010 Hans de Goede <hdegoede@redhat.com> 0.3.2-5
- Do not own /usr/share/desktop-directories (rh569439)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec  1 2008 Hans de Goede <hdegoede@redhat.com> 0.3.2-2
- Fix minor spelling error in Italian translation (rh 473385)

* Tue Feb  5 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.2-1
- Updated Slovak translation, thanks to Pavol Šimo

* Sun Feb  3 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.1-1
- Add Slovak translation, thanks to Pavol Šimo

* Tue Jan  8 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3-1
- Make a new 0.3 tarbal with the French translations included, instead
  of patching the French translation in
- Not patching fixes the problem of .orig files being packaged (bz 427863)

* Mon Aug  6 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-4
- Update License tag for new Licensing Guidelines compliance

* Mon Mar 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-3
- Add French translation, thanks to Eric Tanguy

* Sat Mar 10 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-2
- Add Provides and Obsoletes: dribble-menus

* Fri Mar  9 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2-1
- Polish, Italian and Dutch translations
- Fix URL, and package it as README
- Package copyright-info.txt and related files

* Sat Mar  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1-1
- Initial release
